%global         debug_package %{nil}

Name:           gio-sharp
Version:        2.22.2
Release:        1%{?dist}
Summary:        Mono implementation of GIO

Group:          System Environment/Libraries
License:        MIT
URL:            http://github.com/mono/gio-sharp
Source0:        ftp://ftp.novell.com/pub/mono/sources/gio-sharp/gio-sharp-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:    sparc64

BuildRequires:  autoconf automake libtool
BuildRequires:  mono-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk-sharp2-gapi gtk-sharp2-devel

%description
gio-sharp binds the GIO API, which isn't available in Gtk#.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.


%prep
%setup -q


%build
#./autogen-2.22.sh
%configure
# smp does no work well with this package
#make %{?_smp_mflags}
make


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mono/gac/
gacutil -i gio/gio-sharp.dll -f -package gio-sharp -root $RPM_BUILD_ROOT%{_libdir}
cd gio
make install-pkgconfigDATA DESTDIR=$RPM_BUILD_ROOT


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/mono/gio-sharp/gio-sharp.dll
%{_libdir}/mono/gac/gio-sharp

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/gio-sharp-2.0.pc


%changelog
* Mon Sep 06 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.22.2-1
- Initial package
